/*
 * @Author: PoJun
 * @Date: 2023-08-28 11:22:46
 * @LastEditors: PoJun
 * @LastEditTime: 2023-12-13 16:04:10
 * @Message: 账户相关
 */
import { $get, $post } from "../config/http.js";

/** 获取字典信息 */
export const getDictinfo = dictId => {
    return $get({ url: `/ddics/${dictId}/info` });
};

/** 新增字典信息 */
export const addDictInfo = data => {
    return $post({ url: `/ddics/new`, data, reqConfig: { showMsg: true } });
};

/** 更新字典信息 */
export const updateDictInfo = (dictId, data) => {
    return $post({ url: `/ddics/${dictId}/info`, data, reqConfig: { showMsg: true } });
};

/** 删除字典信息 */
export const deleteDictInfo = dictId => {
    return $post({ url: `/ddics/${dictId}/`, reqConfig: { showMsg: true } });
};

/** 批量删除字典信息 */
export const batchDeleteDicts = data => {
    return $post({ url: `/ddics/delete`, data, reqConfig: { showMsg: true } });
};

/** 获取字典项信息 */
export const getDictIteminfo = itemId => {
    return $get({ url: `/ddics/item_${itemId}/info` });
};

/** 新增字典项信息 */
export const addDictItemInfo = data => {
    return $post({ url: `/ddics/item_new`, data, reqConfig: { showMsg: true } });
};

/** 更新字典项信息 */
export const updateDictItemInfo = (itemId, data) => {
    return $post({ url: `/ddics/item_${itemId}/info`, data, reqConfig: { showMsg: true } });
};

/** 删除字典项信息 */
export const deleteDictItem = itemId => {
    return $post({ url: `/ddics/item_${itemId}/`, reqConfig: { showMsg: true } });
};

/** 批量删除字典项信息 */
export const batchDeleteDictItems = data => {
    return $post({ url: `/ddics/items_delete`, data, reqConfig: { showMsg: true } });
};

/** 获取枚举项信息 */
export const getEnumInfo = enumClassName => {
    return $get({ url: `/enums/class_${enumClassName}/items` });
};

/** 获取字典项信息 */
export const getDictItemsByCode = code => {
    return $get({ url: `/ddics/code_${code}/items` });
};

/** 批量获取字典项信息 */
export const getDictList = params => {
    return $get({ url: `/ddics/code_list/items`, params });
};
