/*
 * @Author: PoJun
 * @Date: 2023-08-28 11:22:46
 * @LastEditors: PoJun
 * @LastEditTime: 2023-09-08 10:46:17
 * @Message: 环境配置相关
 */
import { $get, $post } from "../config/http.js";

/** 获取配置信息 */
export const getConfinfo = id => {
    return $get({ url: `/confs/${id}/info` });
};

/** 更新配置信息 */
export const updateConfInfo = (id, data) => {
    return $post({ url: `/confs/${id}/info`, data, reqConfig: { showMsg: true } });
};

/** 删除配置信息 */
export const deleteConfInfo = id => {
    return $post({ url: `/confs/${id}/`, reqConfig: { showMsg: true } });
};

/** 新增配置信息 */
export const addConfInfo = data => {
    return $post({ url: `/confs/new`, data, reqConfig: { showMsg: true } });
};

/** 批量删除字典信息 */
export const batchDeleteConfs = data => {
    return $post({ url: `/confs/delete`, data, reqConfig: { showMsg: true } });
};

/** 获取运行态配置项信息 */
export const getRunConfsInfo = confKey => {
    return $get({ url: `/confs/code_${confKey}/items` });
};
