/*
 * @Author: PoJun
 * @Date: 2023-08-28 11:22:46
 * @LastEditors: PoJun
 * @LastEditTime: 2023-10-18 10:58:24
 * @Message: 菜单管理
 */
import { $get, $post } from "../config/http.js";
/** 获取菜单树 */
export const getAuthMenus = () => {
    return $get({ url: "/auth/auth_menus/list" });
};

/** 运行态：菜单树列表 */
export const getUserMenus = () => {
    return $get({ url: "/auth/auth_menus/run_list" });
};

/** 新建菜单 */
export const addAuthMenu = data => {
    return $post({ url: "/auth/auth_menus/", data, reqConfig: { showMsg: true } });
};

/** 删除菜单 */
export const deleteAuthMenu = id => {
    return $post({ url: `/auth/auth_menus/${id}/`, reqConfig: { showMsg: true } });
};

/** 批量删除菜单 */
export const batchDeleteMenus = data => {
    return $post({ url: `/auth/auth_menus/delete/`, data, reqConfig: { showMsg: true } });
};

/** 更新菜单信息 */
export const updateAuthMenu = (id, data) => {
    return $post({ url: `/auth/auth_menus/${id}/info`, data, reqConfig: { showMsg: true } });
};

/** 查看菜单信息 */
export const getAuthMenuInfo = id => {
    return $get({ url: `/auth/auth_menus/${id}/info` });
};
