/*
 * @Author: PoJun
 * @Date: 2023-08-28 11:22:46
 * @LastEditors: PoJun
 * @LastEditTime: 2024-01-08 11:23:15
 * @Message: 组织、部门、岗位相关接口
 */
import { $get, $post } from "../config/http.js";

/** 获取默认的组织信息 */
export const getCurrentOrgInfo = reqConfig => {
    return $get({ url: "/org/org_unit/default/info", reqConfig });
};

/** 删除机构 */
export const deleteOrgStruct = id => {
    return $post({ url: `/org/org_structs/${id}/`, reqConfig: { showMsg: true } });
};

/** 组织分页查询 */
export const getUnitList = params => {
    return $get({ url: `/org/org_unit/list`, params });
};

/** 根据id查找机构 */
export const getUnitInfo = id => {
    return $get({ url: `/org/org_struct/${id}/info` });
};

/** 获取部门树 */
export const getOrgDepTree = params => {
    return $get({ url: `/org/org_structs/departments/tree`, params });
};

/** 新建部门 */
export const createNewDep = data => {
    return $post({ url: `/org/org_structs/departments/`, data, reqConfig: { showMsg: true } });
};

/** 更新部门 */
export const updateDepInfo = (id, data) => {
    return $post({ url: `/org/org_structs/departments/${id}/info`, data, reqConfig: { showMsg: true } });
};

/** 更新组织 */
export const updateOrgInfo = (id, data) => {
    return $post({ url: `/org/org_units/${id}/info`, data, reqConfig: { showMsg: true } });
};

/** 获取岗位树 */
export const getOrgPostTree = params => {
    return $get({ url: `/org/org_structs/posts/tree`, params });
};

/** 新建岗位 */
export const createNewPost = data => {
    return $post({ url: `/org/org_structs/posts/`, data, reqConfig: { showMsg: true } });
};

/** 更新岗位 */
export const updatePostInfo = (id, data) => {
    return $post({ url: `/org/org_structs/posts/${id}/info`, data, reqConfig: { showMsg: true } });
};

/** 根据id查找人员 */
export const getOrgPersonInfo = (id, params) => {
    return $get({ url: `/org/org_person/${id}/info`, params });
};

/** 新增人员信息 */
export const addRogPerson = data => {
    return $post({ url: `/org/org_persons/`, data, reqConfig: { showMsg: true } });
};

/** 更新人员 */
export const updateRogPerson = (data, id) => {
    return $post({ url: `/org/org_persons/${id}/info`, data, reqConfig: { showMsg: true } });
};

/** 删除人员 */
export const deleteRogPerson = id => {
    return $post({ url: `/org/org_persons/${id}/`, reqConfig: { showMsg: true } });
};

/** 批量删除人员 */
export const batchDeletePerson = data => {
    return $post({ url: `/org/org_persons/delete/`, data, reqConfig: { showMsg: true } });
};

/** 选人 */
export const getOrgPersonListAll = () => {
    return $get({ url: `/org/org_persons/all` });
};

/** 获取指定类型的身份对应的角色Id */
export const getRoleByType = params => {
    return $get({ url: `/org/org_identity/role`, params, reqConfig: { showMsg: false } });
};
