/*
 * @Author: PoJun
 * @Date: 2023-08-28 11:22:46
 * @LastEditors: PoJun
 * @LastEditTime: 2024-01-03 18:13:00
 * @Message: srm项目
 */
import { $get, $post } from "../config/http.js";
/** 根据供应商信息表主键获取详细信息。 */
export const getSupplierInfo = id => {
    return $get({ url: `/srmSuppliers/${id}/info` });
};

/** 添加供应商信息表。 */
export const addSupplier = data => {
    return $post({ url: `/srmSuppliers/`, data, reqConfig: { showMsg: true } });
};

/** 根据主键更新供应商信息表。 */
export const updateSupplier = (data, id) => {
    return $post({ url: `/srmSuppliers/${id}/info`, data, reqConfig: { showMsg: true } });
};

/** 根据主键删除供应商信息表。 */
export const deleteSupplier = id => {
    return $post({ url: `/srmSuppliers/${id}/`, reqConfig: { showMsg: true } });
};

/** 根据主键批量删除供应商信息表。 */
export const batchDeleteSuppliers = data => {
    return $post({ url: `/srmSuppliers/remove_batch`, data, reqConfig: { showMsg: true } });
};

/** 添加 供应商合作记录表。 */
export const addCooperates = data => {
    return $post({ url: `/srmCooperates/`, data, reqConfig: { showMsg: true } });
};

/** 根据主键更新 供应商合作记录表。 */
export const updateCooperates = (data, id) => {
    return $post({ url: `/srmCooperates/${id}/info`, data, reqConfig: { showMsg: true } });
};

/** 根据主键删除 供应商合作记录表。 */
export const deleteCooperates = id => {
    return $post({ url: `/srmCooperates/${id}/`, reqConfig: { showMsg: true } });
};

/** 根据主键批量删除供应商信息表。 */
export const batchDeleteCooperates = data => {
    return $post({ url: `/srmCooperates/remove_batch`, data, reqConfig: { showMsg: true } });
};

/** 拒绝某事务 */
export const refuseAffairs = affairId => {
    return $post({ url: `/affairs/${affairId}/refuse`, data: {}, reqConfig: { showMsg: true } });
};
/** 同意某事务 */
export const agreeAffairs = (affairId, data) => {
    return $post({ url: `/affairs/${affairId}/agree`, data, reqConfig: { showMsg: true } });
};

// 获取某事务信息（看自己的处理结果）
export const getAffairSelfInfo = affairId => {
    return $get({ url: `/affairs/${affairId}/self_info` });
};
