/*
 * @Author: PoJun
 * @Date: 2023-08-28 11:22:46
 * @LastEditors: PoJun
 * @LastEditTime: 2023-09-01 17:01:29
 * @Message: 用户管理
 */
import { $get, $post } from "../config/http.js";
/** 获取用户列表 */
export const getSysUsers = params => {
    return $get({ url: "/systemusers/list", params });
};

/** 新增用户信息 */
export const addSysUser = data => {
    return $post({ url: "/systemusers/new", data, reqConfig: { showMsg: true } });
};

/** 删除用户信息 */
export const deleteSysUser = userId => {
    return $post({ url: `/systemusers/${userId}/`, reqConfig: { showMsg: true } });
};

/** 获取用户信息 */
export const getSysUserInfo = userId => {
    return $get({ url: `/systemusers/${userId}/info` });
};

/** 修改用户信息 */
export const updateSysUser = (data, userId) => {
    return $post({ url: `/systemusers/${userId}/info`, data, reqConfig: { showMsg: true } });
};

/** 修改用户状态 */
export const updateSysUserState = (data, userId) => {
    return $post({ url: `/systemusers/${userId}/state`, data, reqConfig: { showMsg: true } });
};

/** 批量删除用户信息 */
export const batchDeleteUsers = data => {
    return $post({ url: `/systemusers/users_delete`, data, reqConfig: { showMsg: true } });
};

/** 批量更新用户状态 */
export const batchUpdateState = data => {
    return $post({ url: `/systemusers/users_state`, data, reqConfig: { showMsg: true } });
};

/** 更新当前用户信息 */
export const updateCurrentuserInfo = data => {
    return $post({ url: `/currentuser/info`, data, reqConfig: { showMsg: true } });
};

/** 重置用户密码信息 */
export const updateCurrentuserPsw = data => {
    return $post({ url: `/currentuser/reset_security`, data, reqConfig: { showMsg: true } });
};
