/*
 * @Author: PoJun
 * @Date: 2023-08-18 14:01:44
 * @LastEditors: PoJun
 * @LastEditTime: 2023-09-11 17:32:24
 * @Message: Nothing
 */
import Vue from "vue";
import App from "./App.vue";
import { router } from "./router";
import "./theme/index.less";
import Antd from "ant-design-vue";
import store from "./store";
import "animate.css/source/animate.css";
import Plugins from "@/plugins";
import { initI18n } from "@/utils/i18n";
import bootstrap from "@/bootstrap";
import "moment/locale/zh-cn";

const i18n = initI18n("CN", "US");

import Viewer from "v-viewer";
import "viewerjs/dist/viewer.css";
Vue.use(Viewer);
Viewer.setDefaults();

Vue.use(Antd);
Vue.config.productionTip = false;
Vue.use(Plugins);

import XEUtils from "xe-utils";
import {
    VXETable,
    Column,
    Edit,
    Validator,
    Icon as vxIcon,
    Checkbox as vxCheckbox,
    CheckboxGroup as vxCheckboxGroup,
    Table,
    Input as vxInput,
    Toolbar,
    Tooltip as vxTooltip,
    Footer,
} from "vxe-table";
import zhCN from "vxe-table/lib/locale/lang/zh-CN";

VXETable.setup({
    i18n: (key, args) => XEUtils.toFormatString(XEUtils.get(zhCN, key), args),
});

Vue.use(Column)
    .use(vxIcon)
    .use(Validator)
    .use(Edit)
    .use(vxInput)
    .use(vxCheckbox)
    .use(vxCheckboxGroup)
    .use(Footer)
    .use(Table)
    .use(Toolbar)
    .use(vxTooltip);
import VXETablePluginAntd from "vxe-table-plugin-antd";
import "vxe-table-plugin-antd/dist/style.css";

VXETable.use(VXETablePluginAntd);

bootstrap({ router, store, i18n, message: Vue.prototype.$message });

new Vue({
    router,
    store,
    i18n,
    render: h => h(App),
}).$mount("#app");
