/*
 * @Author: PoJun
 * @Date: 2023-09-12 10:55:35
 * @LastEditors: PoJun
 * @LastEditTime: 2023-10-21 14:45:41
 * @Message: 通用树的筛选过滤规则, 树的结构必须是name, id(不想改)
 */

module.exports = {
    data() {
        return {
            expandedKeys: [],
            searchValue: "", // 搜索框的内容
            autoExpandParent: false,
        };
    },
    methods: {
        onExpand(expandedKeys) {
            this.expandedKeys = expandedKeys;
            this.autoExpandParent = false;
        },
        filterTreeNode(e) {
            if (this.searchValue) {
                return e.dataRef?.name.includes(this.searchValue);
            }
        },
        findNodes(data, char) {
            const result = [];
            // 遍历当前层的数据
            for (let i = 0; i < data.length; i++) {
                const node = data[i];
                // 检查节点是否包含字符
                if (node.name.includes(char)) {
                    result.push(node.id);
                }
                // 递归处理子节点
                if (node.children && node.children.length > 0) {
                    const childResult = this.findNodes(node.children, char);
                    result.push(...childResult);
                }
            }
            return result;
        },
        filterInputChange(e) {
            if (!e.target.value) {
                this.expandedKeys = [];
            } else {
                let ids = this.findNodes(this.dataList, e.target.value);
                this.expandedKeys = ids;
            }
            this.searchValue = e.target.value;
            this.autoExpandParent = true;
        },
    },
};
