/*
 * @Author: PoJun
 * @Date: 2023-08-18 14:01:44
 * @LastEditors: PoJun
 * @LastEditTime: 2024-01-17 14:54:57
 * @Message: 静态路由, 一般开发用, 存在权限的时候用不上
 */
import TabsView from "@/layouts/tabs/TabsView";
import BlankView from "@/layouts/BlankView";

// 路由配置
const options = {
    routes: [
        {
            path: "/login",
            name: "登录页",
            component: () => import("@/pages/login/login"),
        },
        {
            path: "*",
            name: "404",
            component: () => import("@/pages/exception/404"),
        },
        {
            path: "/403",
            name: "403",
            component: () => import("@/pages/exception/403"),
        },
        {
            path: "/",
            name: "首页",
            component: TabsView,
            redirect: "/home",
            children: [
                {
                    path: "home",
                    name: "首页",
                    meta: {
                        icon: "home",
                    },
                    component: () => import("@/pages/home/home"),
                },
                {
                    path: "account",
                    name: "个人设置",
                    meta: {
                        invisible: true,
                    },
                    component: () => import("@/pages/account/account"),
                },
                {
                    path: "affairs",
                    name: "事务中心",
                    meta: {
                        icon: "dashboard",
                    },
                    component: BlankView,
                    children: [
                        {
                            path: "transaction",
                            name: "事务处理",
                            component: () => import("@/pages/affairs/transaction"),
                        },
                    ],
                },
                {
                    path: "process",
                    name: "流程中心",
                    meta: {
                        icon: "branches",
                    },
                    component: BlankView,
                    children: [
                        {
                            path: "definition",
                            name: "流程定义",
                            component: () => import("@/pages/process/definition"),
                        },
                        {
                            path: "instance",
                            name: "流程实例",
                            component: () => import("@/pages/process/instance"),
                        },
                    ],
                },
                {
                    path: "srm",
                    name: "SRM管理",
                    meta: {
                        icon: "profile",
                    },
                    component: BlankView,
                    children: [
                        {
                            path: "products",
                            name: "产品目录",
                            component: () => import("@/pages/srm/products"),
                        },
                        {
                            path: "supplier",
                            name: "供应商管理",
                            component: () => import("@/pages/srm/supplier"),
                        },
                    ],
                },
                {
                    path: "organization",
                    name: "组织管理",
                    meta: {
                        icon: "reconciliation",
                    },
                    component: BlankView,
                    children: [
                        {
                            path: "info",
                            name: "组织信息",
                            component: () => import("@/pages/organization/info"),
                        },
                        {
                            path: "personnel",
                            name: "人员管理",
                            component: () => import("@/pages/organization/personnel"),
                        },
                        {
                            path: "dep",
                            name: "部门管理",
                            component: () => import("@/pages/organization/dep"),
                        },
                        {
                            path: "post",
                            name: "岗位管理",
                            component: () => import("@/pages/organization/post"),
                        },
                    ],
                },
                {
                    path: "permission",
                    name: "权限设置",
                    meta: {
                        icon: "usergroup-add",
                    },
                    component: BlankView,
                    children: [
                        {
                            path: "user",
                            name: "用户管理",
                            component: () => import("@/pages/permission/user"),
                        },
                        {
                            path: "role",
                            name: "角色管理",
                            component: () => import("@/pages/permission/role"),
                        },
                        {
                            path: "menu",
                            name: "菜单管理",
                            component: () => import("@/pages/permission/menu"),
                        },
                    ],
                },
                {
                    path: "system",
                    name: "系统配置",
                    meta: {
                        icon: "setting",
                    },
                    component: BlankView,
                    children: [
                        {
                            path: "info",
                            name: "系统信息",
                            component: () => import("@/pages/system/info"),
                        },
                        {
                            path: "dict",
                            name: "数据字典",
                            component: () => import("@/pages/system/dict"),
                        },
                        {
                            path: "dict/detail",
                            name: "字典数据",
                            meta: {
                                highlight: "/system/dict",
                                invisible: true,
                            },
                            component: () => import("@/pages/system/dictData"),
                        },
                        {
                            path: "env",
                            name: "环境配置",
                            component: () => import("@/pages/system/env"),
                        },
                    ],
                },
            ],
        },
    ],
};

export default options;
